unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VCLTee.TeEngine, VCLTee.Series,
  Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, VCLTee.TeeExcelSource,
  VCLTee.TeeURL, VCLTee.TeeSeriesTextEd, VCLTee.TeeAntiAlias;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    procedure Chart1DblClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  Jam.ChartUtils, VCLTee.TeeGDIPlus, Vcl.Printers;

{$R *.dfm}

procedure TForm1.Chart1DblClick(Sender: TObject);
begin
  Printer.Orientation:=poLandscape;
  Printer.BeginDoc;
  try
    Chart1.PrintPartial(Rect(0,0,Printer.PageWidth,Printer.PageHeight));
  finally
    Printer.EndDoc;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  g: TGDIPlusCanvas;
begin
  Chart1.AddSeries(TPieSeries.Create(Self)).FillSampleValues;
  Chart1.Legend.Alignment:=laBottom;
  g:=TGDIPlusCanvas.Create;
  g.AntiAlias:=True;
  g.AntiAliasText:=gpfBest;
  Chart1.Canvas := g;
  Chart1.Canvas := TGDIPlusCanvas.Create;
end;

end.
